<div class="root-container">
  <div class="dialog-container debug">
    <div class="date-container">
      <div class="date-tittle">
        {{'Дата:'}}
      </div>
      <mat-form-field appearance="outline">
      <input matInput [matDatepicker]="picker" placeholder="MM/DD/YYYY" [min]="today" [formControl]="dateControl">
      <mat-datepicker-toggle matIconSuffix [for]="picker"></mat-datepicker-toggle>
      <mat-datepicker #picker></mat-datepicker>
    </mat-form-field>
    </div>
    <div class="conditions-tittle">{{'Діагнози за ICPC-2'}}</div>

    <div class="condition-container" *ngFor="let condition of conditions">
      <div class="condition-control full-width">
        <mat-form-field class="full-width" appearance="outline">
          <input [placeholder]="'Condition'" autocomplete="off" type="text" matInput [formControl]="condition.control" [matAutocomplete]="auto">
          <mat-autocomplete #auto="matAutocomplete" [displayWith]="displayFn" (optionSelected)="onOptionSelected($event, condition)">
            <mat-option *ngFor="let result of condition.searchResults" [value]="result">
              {{ result.code }} - {{result.name}}
            </mat-option>
          </mat-autocomplete>
        </mat-form-field>
      </div>

      <div class="comment-control full-width">
        <mat-form-field class="full-width" appearance="outline">
          <input [placeholder]="'Comment'" autocomplete="off" type="text" matInput [formControl]="condition.commentControl" [value]="condition.notes">
        </mat-form-field>
      </div>
      <div>
        <button class="delete-button" mat-icon-button (click)="deleteCondition(condition.id)">
        <mat-icon>delete</mat-icon>
      </button>
      </div>
    </div>
    <div class="add-button" (click)="addEmptyCondition()">{{'+ додати ще'}}</div>
    <div class="json-button-container full-width">
      <button class="json-gen-button full-width" style="color: #1984ad" mat-raised-button (click)="generateJson()">
        {{'Сформувати JSON'}}
      </button>
    </div>
    <textarea class="no-resize" [disabled]="true" style="background-color: white"
              matInput name="questionText" cols="35" rows="8" placeholder="generated JSON" [(ngModel)]="generatedJson" required></textarea>
<!--    <div>-->
<!--      <button [disabled]="!isValid()" mat-button (click)="submitResults()">-->
<!--        {{'Submit Results'}}-->
<!--      </button>-->
<!--    </div>-->
  </div>
</div>
